import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_ticket1156(self):
        # add a sheet
        self.addSheet("LOOP0")
        self.addNode("LOOP0")

        self.activateSheet("LOOP0")
        self.addNode("ConstantLocalization")
        self.addNode("ConstantLocalization")

        self.reshape()

        self.setParamType("node_ConstantLocalization_1",
                          "ANGLES", "subnet_param")
        self.setParamType("node_ConstantLocalization_2",
                          "ANGLES", "subnet_param")

        self.activateSheet("MAIN")
        # self.openParam("node_LOOP0_1")

if __name__ == "__main__":
    unittest.main()
